Download it now!
Bug 60769 - FILEOPEN, FILESAVE, "Could not save document, error in writing sub document context.xml" then corrupt file.
Summary: FILEOPEN, FILESAVE, "Could not save document, error in writing sub document c...
Status: RESOLVED DUPLICATE of bug 86963
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
4.0.0.3 release
Hardware: All All
: medium critical
Assignee: Miklos Vajna
URL:
Whiteboard: target:4.1.0 target:4.0.2
Keywords: regression
: 60588 60997 61033 (view as bug list)
Depends on:
Blocks: mab4.0
  Show dependency treegraph
 
Reported: 2013-02-13 08:31 UTC by Marcool
Modified: 2018-11-21 14:52 UTC (History)
19 users (show)

See Also:
Crash report or crash signature:


Attachments
Example file (9.42 KB, application/vnd.oasis.opendocument.text)
2013-02-21 15:23 UTC, Harald Koester
Details
Example .odt file (1.84 MB, application/vnd.oasis.opendocument.text)
2017-10-07 02:57 UTC, Luke Kendall
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Marcool 2013-02-13 08:31:43 UTC
I was just working on a relatively large odt (350+ pages, plain text with comments and styles), and making regular saves. This strange error started to come up when I wanted to save, LibreOffice would say "Could not save document, error in writing sub document context.xml". There are no permission problems with that file (and I had just saved about 50 times previously anyway, with no changes made in between those saves and that one) but I would just hit cancel, make an "undo" move, and then save again and it would work.

Granted, at that stage, I should have realized something was up and made a few back-ups and stopped playing around, but I kept on working a bit, and then as I wanted to hit CMD+S I mistakenly hit CMD+W and closed the document. Now that shouldn't have been much of a problem since I had been saving every... ouh, probably 20 seconds should it? But it was, because then the file wouldn't open at all!

I tried renaming my LibreOffice user folder, reinstalling Libreoffice completely, but none of those were any help. I have no knowledge of xml at all, and although I unzipped the .odt and looked at the content.xml I couldn't tell if it was good, bad or anything in between... In the end, I solved the problem by reverting to LibreOffice 3.6, which on opening the file told me that it was locked for editing by myself and asked if I wanted to override the lock, but then simply proceded to open my document just fine!

Here is the OS X report that was being given each time LibreOffice 4 crashed on trying to open the file :

Process:         soffice [2650]
Path:            /Applications/LibreOffice.app/Contents/MacOS/soffice
Identifier:      org.libreoffice.script
Version:         4.0.0.3 (???)
Code Type:       X86 (Native)
Parent Process:  launchd [179]

Date/Time:       2013-02-13 00:39:10.215 +0100
OS Version:      Mac OS X 10.6.8 (10K549)
Report Version:  6

Interval Since Last Report:          105930 sec
Crashes Since Last Report:           10
Per-App Interval Since Last Report:  85021 sec
Per-App Crashes Since Last Report:   8
Anonymous UUID:                      8B23D202-6FCF-43D1-A474-022302CE99FA

Exception Type:  EXC_CRASH (SIGABRT)
Exception Codes: 0x0000000000000000, 0x0000000000000000
Crashed Thread:  0  Dispatch queue: com.apple.main-thread

Application Specific Information:
abort() called

Thread 0 Crashed:  Dispatch queue: com.apple.main-thread
0   libSystem.B.dylib             	0x97133c5a __kill + 10
1   libSystem.B.dylib             	0x97133c4c kill$UNIX2003 + 32
2   libSystem.B.dylib             	0x971c65a5 raise + 26
3   libSystem.B.dylib             	0x971dc6e4 abort + 93
4   libstdc++.6.dylib             	0x96495fda __gnu_cxx::__verbose_terminate_handler() + 433
5   libstdc++.6.dylib             	0x9649417a __cxxabiv1::__terminate(void (*)()) + 10
6   libstdc++.6.dylib             	0x964941ba __cxxabiv1::__unexpected(void (*)()) + 0
7   libstdc++.6.dylib             	0x964942b8 __gxx_exception_cleanup(_Unwind_Reason_Code, _Unwind_Exception*) + 0
8   libswlo.dylib                 	0x2c74f402 SwXTextField::getPropertyValue(rtl::OUString const&) + 1234
9   libxolo.dylib                 	0x259e4314 XMLAnnotationImportContext::PrepareField(com::sun::star::uno::Reference<com::sun::star::beans::XPropertySet> const&) + 1268
10  libxolo.dylib                 	0x259eb1f6 XMLAnnotationImportContext::EndElement() + 150
11  libxolo.dylib                 	0x257db3f1 SvXMLImport::endElement(rtl::OUString const&) + 65
12  expwrap.uno.dylib             	0x24609cd4 sax_expatwrap::SaxExpatParser_Impl::callbackEndElement(void*, char const*) + 132
13  expwrap.uno.dylib             	0x2461d1d1 doContent + 801
14  expwrap.uno.dylib             	0x2461e22e contentProcessor + 62
15  expwrap.uno.dylib             	0x2461842b XML_ParseBuffer + 123
16  expwrap.uno.dylib             	0x2460519f sax_expatwrap::SaxExpatParser_Impl::parse() + 287
17  expwrap.uno.dylib             	0x2460687d sax_expatwrap::SaxExpatParser::parseStream(com::sun::star::xml::sax::InputSource const&) + 1005
18  libswlo.dylib                 	0x2c962c10 ReadThroughComponent(com::sun::star::uno::Reference<com::sun::star::io::XInputStream>, com::sun::star::uno::Reference<com::sun::star::lang::XComponent>, String const&, com::sun::star::uno::Reference<com::sun::star::lang::XMultiServiceFactory>&, char const*, com::sun::star::uno::Sequence<com::sun::star::uno::Any> const&, rtl::OUString const&, unsigned char, unsigned char) + 512
19  libswlo.dylib                 	0x2c96399a ReadThroughComponent(com::sun::star::uno::Reference<com::sun::star::embed::XStorage>, com::sun::star::uno::Reference<com::sun::star::lang::XComponent>, char const*, char const*, com::sun::star::uno::Reference<com::sun::star::lang::XMultiServiceFactory>&, char const*, com::sun::star::uno::Sequence<com::sun::star::uno::Any> const&, rtl::OUString const&, unsigned char) + 714
20  libswlo.dylib                 	0x2c9666dc XMLReader::Read(SwDoc&, String const&, SwPaM&, String const&) + 10572
21  libswlo.dylib                 	0x2c8a1503 SwReader::Read(Reader const&) + 979
22  libswlo.dylib                 	0x2c9c7069 SwDocShell::Load(SfxMedium&) + 665
23  libsfxlo.dylib                	0x0072a114 SfxObjectShell::LoadOwnFormat(SfxMedium&) + 484
24  libsfxlo.dylib                	0x007373b1 SfxObjectShell::DoLoad(SfxMedium*) + 4817
25  libsfxlo.dylib                	0x0076fce4 SfxBaseModel::load(com::sun::star::uno::Sequence<com::sun::star::beans::PropertyValue> const&) + 420
26  libsfxlo.dylib                	0x007cf797 SfxFrameLoader_Impl::load(com::sun::star::uno::Sequence<com::sun::star::beans::PropertyValue> const&, com::sun::star::uno::Reference<com::sun::star::frame::XFrame> const&) + 1575
27  libfwklo.dylib                	0x1e70a636 framework::LoadEnv::impl_loadContent() + 3606
28  libfwklo.dylib                	0x1e70ac48 framework::LoadEnv::startLoading() + 136
29  libfwklo.dylib                	0x1e682f41 framework::LoadDispatcher::impl_dispatch(com::sun::star::util::URL const&, com::sun::star::uno::Sequence<com::sun::star::beans::PropertyValue> const&, com::sun::star::uno::Reference<com::sun::star::frame::XDispatchResultListener> const&) + 449
30  libfwklo.dylib                	0x1e683705 framework::LoadDispatcher::dispatchWithReturnValue(com::sun::star::util::URL const&, com::sun::star::uno::Sequence<com::sun::star::beans::PropertyValue> const&) + 53
31  libcomphelpgcc3.dylib         	0x001bc735 comphelper::SynchronousDispatch::dispatch(com::sun::star::uno::Reference<com::sun::star::uno::XInterface> const&, rtl::OUString const&, rtl::OUString const&, long, com::sun::star::uno::Sequence<com::sun::star::beans::PropertyValue> const&) + 1557
32  libsfxlo.dylib                	0x0050c17d SfxApplication::OpenDocExec_Impl(SfxRequest&) + 2813
33  libsfxlo.dylib                	0x008121fd SfxDispatcher::Call_Impl(SfxShell&, SfxSlot const&, SfxRequest&, unsigned char) + 525
34  libsfxlo.dylib                	0x00814df9 SfxDispatcher::Execute(unsigned short, unsigned short, unsigned short, SfxItemSet const&) + 345
35  libsfxlo.dylib                	0x00814ec0 SfxDispatcher::Execute(unsigned short, unsigned short, SfxItemSet const&) + 48
36  libsfxlo.dylib                	0x0050cbe9 SfxApplication::OpenDocExec_Impl(SfxRequest&) + 5481
37  libsfxlo.dylib                	0x008121fd SfxDispatcher::Call_Impl(SfxShell&, SfxSlot const&, SfxRequest&, unsigned char) + 525
38  libsfxlo.dylib                	0x008146a4 SfxDispatcher::PostMsgHandler(SfxRequest*) + 340
39  libsfxlo.dylib                	0x007b2b49 SfxHintPoster::LinkStubDoEvent_Impl(void*, void*) + 25
40  libvcllo.dylib                	0x01b161cf ImplWindowFrameProc(Window*, SalFrame*, unsigned short, void const*) + 5503
41  libvcllo.dylib                	0x01b26d23 AquaSalInstance::Yield(bool, bool) + 323
42  libvcllo.dylib                	0x017c6560 Application::Yield(bool) + 96
43  libvcllo.dylib                	0x017c664c Application::Execute() + 76
44  libsofficeapp.dylib           	0x00076ccd desktop::Desktop::Main() + 5085
45  libvcllo.dylib                	0x017cee28 ImplSVMain() + 344
46  libvcllo.dylib                	0x01b2634b AquaSalInstance::handleAppDefinedEvent(NSEvent*) + 75
47  libvcllo.dylib                	0x01b648db -[VCL_NSApplication sendEvent:] + 315
48  com.apple.AppKit              	0x97c45253 -[NSApplication run] + 917
49  com.apple.AppKit              	0x97c3d289 NSApplicationMain + 574
50  libvcllo.dylib                	0x01b278e7 ImplSVMainHook(int*) + 343
51  libvcllo.dylib                	0x017cee91 SVMain() + 17
52  libsofficeapp.dylib           	0x000a7ba5 soffice_main + 437
53  org.libreoffice.script        	0x00001f0e main + 30
54  org.libreoffice.script        	0x00001872 _start + 216
55  org.libreoffice.script        	0x00001799 start + 41

Thread 1:
0   libSystem.B.dylib             	0x970d2b5a semaphore_timedwait_signal_trap + 10
1   libSystem.B.dylib             	0x971006e1 _pthread_cond_wait + 1066
2   libSystem.B.dylib             	0x9714926c pthread_cond_timedwait + 47
3   libuno_sal.dylib.3            	0x00014c58 rtl_cache_wsupdate_all(void*) + 280
4   libSystem.B.dylib             	0x97100259 _pthread_start + 345
5   libSystem.B.dylib             	0x971000de thread_start + 34

Thread 2:  Dispatch queue: com.apple.libdispatch-manager
0   libSystem.B.dylib             	0x970f9382 kevent + 10
1   libSystem.B.dylib             	0x970f9a9c _dispatch_mgr_invoke + 215
2   libSystem.B.dylib             	0x970f8f59 _dispatch_queue_invoke + 163
3   libSystem.B.dylib             	0x970f8cfe _dispatch_worker_thread2 + 240
4   libSystem.B.dylib             	0x970f8781 _pthread_wqthread + 390
5   libSystem.B.dylib             	0x970f85c6 start_wqthread + 30

Thread 3:
0   libSystem.B.dylib             	0x9719a096 accept$NOCANCEL$UNIX2003 + 10
1   libSystem.B.dylib             	0x97198eff accept + 32
2   libuno_sal.dylib.3            	0x00007afa osl_acceptPipe + 58
3   libsofficeapp.dylib           	0x000a4b2e desktop::OfficeIPCThread::execute() + 46
4   libuno_salhelpergcc3.dylib.3  	0x004eada2 salhelper::Thread::run() + 34
5   libuno_salhelpergcc3.dylib.3  	0x004eb152 threadFunc + 18
6   libuno_sal.dylib.3            	0x0000e082 osl_thread_start_Impl + 434
7   libSystem.B.dylib             	0x97100259 _pthread_start + 345
8   libSystem.B.dylib             	0x971000de thread_start + 34

Thread 4:
0   libSystem.B.dylib             	0x970d2b5a semaphore_timedwait_signal_trap + 10
1   libSystem.B.dylib             	0x971006e1 _pthread_cond_wait + 1066
2   libSystem.B.dylib             	0x9714926c pthread_cond_timedwait + 47
3   libuno_sal.dylib.3            	0x00032559 osl_waitCondition + 281
4   libupdchk.dylib               	0x192c5d60 (anonymous namespace)::InitUpdateCheckJobThread::run() + 144
5   libupdchk.dylib               	0x192b8092 threadFunc + 18
6   libuno_sal.dylib.3            	0x0000e082 osl_thread_start_Impl + 434
7   libSystem.B.dylib             	0x97100259 _pthread_start + 345
8   libSystem.B.dylib             	0x971000de thread_start + 34

Thread 5:
0   libSystem.B.dylib             	0x970d2b42 semaphore_wait_signal_trap + 10
1   libSystem.B.dylib             	0x971006f8 _pthread_cond_wait + 1089
2   libSystem.B.dylib             	0x9714905f pthread_cond_wait + 48
3   libuno_sal.dylib.3            	0x000324a8 osl_waitCondition + 104
4   liblnglo.dylib                	0x250aa583 GrammarCheckingIterator::DequeueAndCheck() + 2579
5   libuno_sal.dylib.3            	0x0000e082 osl_thread_start_Impl + 434
6   libSystem.B.dylib             	0x97100259 _pthread_start + 345
7   libSystem.B.dylib             	0x971000de thread_start + 34

Thread 6:
0   libSystem.B.dylib             	0x970d2afa mach_msg_trap + 10
1   libSystem.B.dylib             	0x970d3267 mach_msg + 68
2   com.apple.CoreFoundation      	0x94a302df __CFRunLoopRun + 2079
3   com.apple.CoreFoundation      	0x94a2f3c4 CFRunLoopRunSpecific + 452
4   com.apple.CoreFoundation      	0x94a35304 CFRunLoopRun + 84
5   com.apple.DesktopServices     	0x96eabb3d TSystemNotificationTask::SystemNotificationTaskProc(void*) + 643
6   ...ple.CoreServices.CarbonCore	0x93ece54a PrivateMPEntryPoint + 68
7   libSystem.B.dylib             	0x97100259 _pthread_start + 345
8   libSystem.B.dylib             	0x971000de thread_start + 34

Thread 7:
0   libSystem.B.dylib             	0x970f8412 __workq_kernreturn + 10
1   libSystem.B.dylib             	0x970f89a8 _pthread_wqthread + 941
2   libSystem.B.dylib             	0x970f85c6 start_wqthread + 30

Thread 8:
0   libSystem.B.dylib             	0x970f8412 __workq_kernreturn + 10
1   libSystem.B.dylib             	0x970f89a8 _pthread_wqthread + 941
2   libSystem.B.dylib             	0x970f85c6 start_wqthread + 30

Thread 9:  com.apple.CFSocket.private
0   libSystem.B.dylib             	0x970f1ac6 select$DARWIN_EXTSN + 10
1   com.apple.CoreFoundation      	0x94a6fc53 __CFSocketManager + 1091
2   libSystem.B.dylib             	0x97100259 _pthread_start + 345
3   libSystem.B.dylib             	0x971000de thread_start + 34

Thread 10:
0   libSystem.B.dylib             	0x970d2b5a semaphore_timedwait_signal_trap + 10
1   libSystem.B.dylib             	0x971006e1 _pthread_cond_wait + 1066
2   libSystem.B.dylib             	0x9714926c pthread_cond_timedwait + 47
3   libuno_sal.dylib.3            	0x00032559 osl_waitCondition + 281
4   libfwklo.dylib                	0x1e6a77e0 framework::WakeUpThread::run() + 96
5   libfwklo.dylib                	0x1e698af2 threadFunc + 18
6   libuno_sal.dylib.3            	0x0000e082 osl_thread_start_Impl + 434
7   libSystem.B.dylib             	0x97100259 _pthread_start + 345
8   libSystem.B.dylib             	0x971000de thread_start + 34

Thread 11:
0   libSystem.B.dylib             	0x970f8412 __workq_kernreturn + 10
1   libSystem.B.dylib             	0x970f89a8 _pthread_wqthread + 941
2   libSystem.B.dylib             	0x970f85c6 start_wqthread + 30

Thread 0 crashed with X86 Thread State (32-bit):
  eax: 0x00000000  ebx: 0x971dc693  ecx: 0xbfffc83c  edx: 0x97133c5a
  edi: 0xa07f1b30  esi: 0x0020c7fc  ebp: 0xbfffc858  esp: 0xbfffc83c
   ss: 0x0000001f  efl: 0x00000282  eip: 0x97133c5a   cs: 0x00000007
   ds: 0x0000001f   es: 0x0000001f   fs: 0x00000000   gs: 0x00000037
  cr2: 0xa077dfc0

Binary Images:
    0x1000 -     0x1ff7 +org.libreoffice.script 4.0.0.3 (???) <F4A8D041-8B26-9639-91C9-8C7B5D3DF8E0> /Applications/LibreOffice.app/Contents/MacOS/soffice
    0x5000 -    0x44fe3 +libuno_sal.dylib.3 ??? (???) <CF53D819-7DDE-93FB-6097-BB9E57A31513> /Applications/LibreOffice.app/Contents/ure-link/lib/libuno_sal.dylib.3
   0x63000 -    0xcffeb +libsofficeapp.dylib ??? (???) <C93351E6-DB61-B087-FB91-7344B9D143B6> /Applications/LibreOffice.app/Contents/MacOS/libsofficeapp.dylib
  0x104000 -   0x22efef +libcomphelpgcc3.dylib ??? (???) <EDDFBC8A-0CCE-DC58-1AB6-5A060E472C3B> /Applications/LibreOffice.app/Contents/MacOS/libcomphelpgcc3.dylib
  0x30d000 -   0x33efe3 +libuno_cppu.dylib.3 ??? (???) <398C657B-A50B-423E-10BD-3EEAC8B0337C> /Applications/LibreOffice.app/Contents/ure-link/lib/libuno_cppu.dylib.3
  0x352000 -   0x3fffff +libuno_cppuhelpergcc3.dylib.3 ??? (???) <8421B172-3EBC-7255-3D98-174D0BFF0318> /Applications/LibreOffice.app/Contents/ure-link/lib/libuno_cppuhelpergcc3.dylib.3
  0x46d000 -   0x49afff +libdeploymentmisclo.dylib ??? (???) <27599BB2-517B-C54A-DA53-4BF9E6E60A6C> /Applications/LibreOffice.app/Contents/MacOS/libdeploymentmisclo.dylib
  0x4b7000 -   0x4d3fff +libi18nisolang1gcc3.dylib ??? (???) <C2ADD75E-AA8B-C4AD-ADD2-46E331654478> /Applications/LibreOffice.app/Contents/MacOS/libi18nisolang1gcc3.dylib
  0x4e9000 -   0x4ecffb +libuno_salhelpergcc3.dylib.3 ??? (???) <29B360E8-7894-6268-05E2-AB5E1B838036> /Applications/LibreOffice.app/Contents/ure-link/lib/libuno_salhelpergcc3.dylib.3
  0x4f2000 -   0x881fe3 +libsfxlo.dylib ??? (???) <FD2C6BAC-2E61-9577-C893-DA7161C27275> /Applications/LibreOffice.app/Contents/MacOS/libsfxlo.dylib
  0xa9c000 -   0xb66feb +libsvllo.dylib ??? (???) <B703808B-ABCE-45C8-FEA1-DD9ACA1179A9> /Applications/LibreOffice.app/Contents/MacOS/libsvllo.dylib
  0xbd4000 -   0xe60fe3 +libsvtlo.dylib ??? (???) <B302619B-707F-5865-1363-49C9B0842404> /Applications/LibreOffice.app/Contents/MacOS/libsvtlo.dylib
 0x101e000 -  0x1284feb +libtklo.dylib ??? (???) <6CA35557-2F2B-14CB-A870-5EEF3F5B4D5B> /Applications/LibreOffice.app/Contents/MacOS/libtklo.dylib
 0x14ef000 -  0x155cff3 +libtllo.dylib ??? (???) <4C6E479E-3513-362E-F776-BCBDC363F1E3> /Applications/LibreOffice.app/Contents/MacOS/libtllo.dylib
 0x1585000 -  0x15e1fe7 +libucbhelper4gcc3.dylib ??? (???) <4E67BFC0-1CC6-516D-A139-F29746FA8CB4> /Applications/LibreOffice.app/Contents/MacOS/libucbhelper4gcc3.dylib
 0x1623000 -  0x1725fe7 +libutllo.dylib ??? (???) <DE186B3B-EAEE-8C09-5E6D-B2F279B47082> /Applications/LibreOffice.app/Contents/MacOS/libutllo.dylib
 0x17b4000 -  0x1c39ff3 +libvcllo.dylib ??? (???) <285C7AB0-D838-1FFE-B0D9-EC45A855950C> /Applications/LibreOffice.app/Contents/MacOS/libvcllo.dylib
 0x1e06000 -  0x1e1bfe7 +libreg.dylib.3 ??? (???) <9D3929D7-3374-E86E-33EC-001CD2440EA4> /Applications/LibreOffice.app/Contents/ure-link/lib/libreg.dylib.3
 0x1e24000 -  0x1e2effb +libxmlreader.dylib ??? (???) <1697C734-77BA-3D19-DCD9-ABA9396E4D46> /Applications/LibreOffice.app/Contents/ure-link/lib/libxmlreader.dylib
 0x1e34000 -  0x1e4eff3 +libstore.dylib.3 ??? (???) <718B1840-70F1-2181-A1CA-FE3C629E2F31> /Applications/LibreOffice.app/Contents/ure-link/lib/libstore.dylib.3
 0x1e5d000 -  0x1ef1ff3 +libxmlscriptlo.dylib ??? (???) <0D823B53-4B18-840B-1B59-E74CFAD7C26F> /Applications/LibreOffice.app/Contents/MacOS/libxmlscriptlo.dylib
 0x1f34000 -  0x1fc7ff7 +libbasegfxlo.dylib ??? (???) <EED0603B-BC2E-D538-C242-C2DF494518E0> /Applications/LibreOffice.app/Contents/MacOS/libbasegfxlo.dylib
 0x1ff9000 -  0x210eff7 +libdrawinglayerlo.dylib ??? (???) <808960BE-ABD5-6880-CB46-451443DE9C2B> /Applications/LibreOffice.app/Contents/MacOS/libdrawinglayerlo.dylib
 0x21a9000 -  0x222afff +libfwelo.dylib ??? (???) <4C3CB46B-72CD-1139-4AED-7AD23428758E> /Applications/LibreOffice.app/Contents/MacOS/libfwelo.dylib
 0x2274000 -  0x2286fff +libsaxlo.dylib ??? (???) <CCDD305C-8D54-E3D2-DC5F-09792A7E5E9F> /Applications/LibreOffice.app/Contents/MacOS/libsaxlo.dylib
 0x2293000 -  0x23dcfeb +libsblo.dylib ??? (???) <516EF9A0-339A-F745-6645-52E96B41438D> /Applications/LibreOffice.app/Contents/MacOS/libsblo.dylib
 0x249e000 -  0x24edfe3 +libsotlo.dylib ??? (???) <A1C4AAE3-6F94-38E7-F94E-29D7C5A06D9F> /Applications/LibreOffice.app/Contents/MacOS/libsotlo.dylib
 0x2519000 -  0x254aff3 +libcanvastoolslo.dylib ??? (???) <C7F3F7F8-AE7E-3715-7E04-24009E1F8463> /Applications/LibreOffice.app/Contents/MacOS/libcanvastoolslo.dylib
 0x2570000 -  0x25c1ffb +libcppcanvaslo.dylib ??? (???) <6FD1691C-C5E1-FD1D-64D2-9A88837B7EE3> /Applications/LibreOffice.app/Contents/MacOS/libcppcanvaslo.dylib
 0x25f3000 -  0x261cfef +libnspr4.dylib ??? (???) <A219314F-AEF3-D16D-7FCC-7CFAF629EF61> /Applications/LibreOffice.app/Contents/MacOS/libnspr4.dylib
 0x262f000 -  0x2724fe7 +libnss3.dylib ??? (???) <780632B7-9692-6F7E-528C-3EE9438FE8DF> /Applications/LibreOffice.app/Contents/MacOS/libnss3.dylib
 0x2758000 -  0x2773ff7 +libsmime3.dylib ??? (???) <2828B617-8300-42F5-317B-B479E4A8AEB3> /Applications/LibreOffice.app/Contents/MacOS/libsmime3.dylib
 0x2781000 -  0x2787fff +libi18nutilgcc3.dylib ??? (???) <67B0121E-F6D1-DF5D-EE1D-BA4F2F6349B5> /Applications/LibreOffice.app/Contents/MacOS/libi18nutilgcc3.dylib
 0x279a000 -  0x279dff3 +libjvmaccessgcc3.dylib.3 ??? (???) <769146D5-19AB-B9BF-B0AC-8F1646B5A8A9> /Applications/LibreOffice.app/Contents/ure-link/lib/libjvmaccessgcc3.dylib.3
 0x27a3000 -  0x27d0ff3 +libicule.dylib.49 49.1.1 (compatibility 49.0.0) <CCB76A43-8F8C-F697-BA7F-4F65F83D5E9C> /Applications/LibreOffice.app/Contents/MacOS/libicule.dylib.49
 0x27e5000 -  0x28f5ff3 +libicuuc.dylib.49 49.1.1 (compatibility 49.0.0) <14F1EDE0-8F81-8EAB-22B1-A2BC2602DF3D> /Applications/LibreOffice.app/Contents/MacOS/libicuuc.dylib.49
 0x294f000 -  0x2987fe7 +liblcms2.2.dylib 3.4.0 (compatibility 3.0.0) <90B31204-2F55-0D30-16EA-FA4D76A29175> /Applications/LibreOffice.app/Contents/MacOS/liblcms2.2.dylib
 0x29aa000 -  0x29b0ff7 +libAppleRemotelo.dylib ??? (???) <6704062A-CF2A-BA78-F155-8607E211EA88> /Applications/LibreOffice.app/Contents/MacOS/libAppleRemotelo.dylib
 0x29b8000 -  0x29cbfe7 +libnssutil3.dylib ??? (???) <47E5CD7B-60AB-5DCA-B8EE-F58ED4A4ABFF> /Applications/LibreOffice.app/Contents/MacOS/libnssutil3.dylib
 0x29d9000 -  0x29dffff +libplc4.dylib ??? (???) <E9DFEB94-DDEB-035D-BF4D-97196512CA6A> /Applications/LibreOffice.app/Contents/MacOS/libplc4.dylib
 0x29e7000 -  0x29ecfff +libplds4.dylib ??? (???) <AD13D59E-079C-8F4B-9730-6EBC8EAE04FA> /Applications/LibreOffice.app/Contents/MacOS/libplds4.dylib
 0x29f3000 -  0x2a09ff3 +libjvmfwk.dylib.3 ??? (???) <BA216080-9A5E-D0CE-137C-2FADE802441C> /Applications/LibreOffice.app/Contents/ure-link/lib/libjvmfwk.dylib.3
 0x2a13000 -  0x3701ff7 +libicudata.dylib.49 49.1.1 (compatibility 49.0.0) <3D562FF6-78CE-E0E9-2D00-2853FF1AE5C5> /Applications/LibreOffice.app/Contents/MacOS/libicudata.dylib.49
 0x3704000 -  0x372ffef +libfwilo.dylib ??? (???) <C06811C9-E2DC-B81B-2FF0-5CCC2EF1A6F2> /Applications/LibreOffice.app/Contents/MacOS/libfwilo.dylib
 0x3e70000 -  0x3e72fff +com.unsanity.menuextraenabler 1.0.3 (1.0.3) /Library/InputManagers/Menu Extra Enabler/Menu Extra Enabler.bundle/Contents/MacOS/Menu Extra Enabler
 0x3e82000 -  0x3e86fff +com.eltima.FolxIM ??? (1.3) <1DBD137B-310A-E0D1-3C0D-29582FC9AFB4> /Library/InputManagers/FolxIM/FolxIM.bundle/Contents/MacOS/FolxIM
 0x3f96000 -  0x3fa3ff7  com.apple.iokit.IOHIDLib 1.6.6 (1.6.6) <665A3308-8C50-655A-ED3F-49AF695A408E> /System/Library/Extensions/IOHIDFamily.kext/Contents/PlugIns/IOHIDLib.plugin/Contents/MacOS/IOHIDLib
 0x3fb3000 -  0x3fbefff +libgcc3_uno.dylib ??? (???) <8A3B29F3-D959-CEBC-98B4-A51FFB4DA0EF> /Applications/LibreOffice.app/Contents/ure-link/lib/libgcc3_uno.dylib
0x17570000 - 0x17636ff3 +bootstrap.uno.dylib ??? (???) <D1745654-FB5F-C94B-9F5E-D4F5456A1DE0> /Applications/LibreOffice.app/Contents/ure-link/lib/bootstrap.uno.dylib
0x1804f000 - 0x180e6ff3 +configmgr.uno.dylib ??? (???) <43927A26-B99F-D407-CBE9-DE367E39142E> /Applications/LibreOffice.app/Contents/MacOS/configmgr.uno.dylib
0x18a10000 - 0x18a16fff +localebe1.uno.dylib ??? (???) <9AABCD8B-EB41-EF3C-0B92-20D4C8049188> /Applications/LibreOffice.app/Contents/MacOS/localebe1.uno.dylib
0x18a34000 - 0x18a3afff +libspllo.dylib ??? (???) <2F377282-D212-B730-AC26-9874AFE3F413> /Applications/LibreOffice.app/Contents/MacOS/libspllo.dylib
0x18a54000 - 0x18a67fe3 +liblocaledata_en.dylib ??? (???) <3CC089FC-10F5-4A3C-054B-413E25EE98E5> /Applications/LibreOffice.app/Contents/MacOS/liblocaledata_en.dylib
0x18b7e000 - 0x18ceafef +i18npool.uno.dylib ??? (???) <82F9BBEE-D274-D46F-667C-F5157D8838F2> /Applications/LibreOffice.app/Contents/MacOS/i18npool.uno.dylib
0x18d7a000 - 0x18ee7fe3 +libicui18n.dylib.49 49.1.1 (compatibility 49.0.0) <0E107A7F-D029-34B5-32DE-9D19BA0B61BA> /Applications/LibreOffice.app/Contents/MacOS/libicui18n.dylib.49
0x18f89000 - 0x19012ff7 +liblocaledata_euro.dylib ??? (???) <2CE63A9C-6F84-4344-CEA2-78976177360F> /Applications/LibreOffice.app/Contents/MacOS/liblocaledata_euro.dylib
0x192aa000 - 0x192edff7 +libupdchk.dylib ??? (???) <19EE4931-7B19-15D6-6996-0D9C80AFDDD4> /Applications/LibreOffice.app/Contents/MacOS/libupdchk.dylib
0x193f9000 - 0x193fdff7 +pythonloader.uno.dylib ??? (???) <85EA72FA-E303-9E30-FFC5-30428B18256D> /Applications/LibreOffice.app/Contents/MacOS/pythonloader.uno.dylib
0x19404000 - 0x19404ff7 +_bisect.so ??? (???) <044095A2-CB9A-EA63-54A1-98946CFDBD3C> /Applications/LibreOffice.app/Contents/MacOS/LibreOfficePython.framework/Versions/3.3/lib/python3.3/lib-dynload/_bisect.so
0x19408000 - 0x19409ff7 +_heapq.so ??? (???) <3FE4C37F-A3A3-1121-5555-D179E31ABE18> /Applications/LibreOffice.app/Contents/MacOS/LibreOfficePython.framework/Versions/3.3/lib/python3.3/lib-dynload/_heapq.so
0x194fe000 - 0x19517fe7 +stocservices.uno.dylib ??? (???) <8CE35086-8AB3-D2AA-8B12-390D2A039EF3> /Applications/LibreOffice.app/Contents/ure-link/lib/stocservices.uno.dylib
0x19739000 - 0x19744ff3 +libMacOSXSpelllo.dylib ??? (???) <01AFC477-2961-C258-8B43-3B6750B0A8BA> /Applications/LibreOffice.app/Contents/MacOS/libMacOSXSpelllo.dylib
0x1cd80000 - 0x1cd87ff7 +macbe1.uno.dylib ??? (???) <2FBD71AF-0F60-DF90-0E19-8EF01C8AB196> /Applications/LibreOffice.app/Contents/MacOS/macbe1.uno.dylib
0x1cda5000 - 0x1cf06fe7 +libsal_textenc.dylib ??? (???) <F25FD9BF-3335-95C3-7CD9-B51F89754BA1> /Applications/LibreOffice.app/Contents/ure-link/lib/libsal_textenc.dylib
0x1cf62000 - 0x1cfadfff +libucb1.dylib ??? (???) <BADA5036-1F68-FD50-43F0-7D858E4F3E87> /Applications/LibreOffice.app/Contents/MacOS/libucb1.dylib
0x1cfdb000 - 0x1cfddfff +fpicker.uno.dylib ??? (???) <17AEE94B-59CC-23A5-DA17-A6BE85C07836> /Applications/LibreOffice.app/Contents/MacOS/fpicker.uno.dylib
0x1d3a2000 - 0x1d3aaff7 +libmcnttype.dylib ??? (???) <DCA51417-E741-4DA1-CA32-AA2FCCD42DF0> /Applications/LibreOffice.app/Contents/MacOS/libmcnttype.dylib
0x1e628000 - 0x1e8adff7 +libfwklo.dylib ??? (???) <A19A8FC1-2FE2-F72A-1664-1983184BC2DA> /Applications/LibreOffice.app/Contents/MacOS/libfwklo.dylib
0x1ea1b000 - 0x1ea75fe7 +libucpfile1.dylib ??? (???) <9AFB25EB-916B-AB1B-6A95-859DE1D6332F> /Applications/LibreOffice.app/Contents/MacOS/libucpfile1.dylib
0x22cd5000 - 0x22cebff3 +fps_aqua.uno.dylib ??? (???) <587B36B6-1FEB-7356-F173-39CF486F08FD> /Applications/LibreOffice.app/Contents/MacOS/fps_aqua.uno.dylib
0x22d04000 - 0x22d53fe3 +libfilterconfiglo.dylib ??? (???) <5F0B6755-0386-FEBA-3745-0CBAC52F9E56> /Applications/LibreOffice.app/Contents/MacOS/libfilterconfiglo.dylib
0x24053000 - 0x24077fe7  GLRendererFloat ??? (???) <F19DDBE8-1DF6-6618-F554-0E81ED85CE67> /System/Library/Frameworks/OpenGL.framework/Resources/GLRendererFloat.bundle/GLRendererFloat
0x24081000 - 0x24086ff7  com.apple.qldisplay.Text 2.3 (327.7) <92625071-85B3-DCE4-2740-027104259FC4> /System/Library/Frameworks/Quartz.framework/Versions/A/Frameworks/QuickLookUI.framework/Versions/A/Resources/DisplayBundles/Text.qldisplay/Contents/MacOS/Text
0x240f3000 - 0x240f7ff7  com.apple.qldisplay.Generic 2.3 (327.7) <4365AE77-4E34-FB81-0FA8-5A11603286B9> /System/Library/Frameworks/Quartz.framework/Versions/A/Frameworks/QuickLookUI.framework/Versions/A/Resources/DisplayBundles/Generic.qldisplay/Contents/MacOS/Generic
0x243ab000 - 0x24422ffb +libpackage2.dylib ??? (???) <123C274B-0E2F-057A-99DB-E4C1A32295D5> /Applications/LibreOffice.app/Contents/MacOS/libpackage2.dylib
0x244b5000 - 0x244dfffb +fsstorage.uno.dylib ??? (???) <F09ABE58-5C4D-E0A5-C602-A0BB1B37C9FC> /Applications/LibreOffice.app/Contents/MacOS/fsstorage.uno.dylib
0x24600000 - 0x24634ff3 +expwrap.uno.dylib ??? (???) <38B415D4-6435-3334-E24C-641E1818F898> /Applications/LibreOffice.app/Contents/MacOS/expwrap.uno.dylib
0x2507f000 - 0x250fbfe3 +liblnglo.dylib ??? (???) <47B85401-B6A3-D90D-B4C9-001FB592549D> /Applications/LibreOffice.app/Contents/MacOS/liblnglo.dylib
0x2515a000 - 0x25192ff3 +libspelllo.dylib ??? (???) <ECB7D9FF-A2B9-1153-0DD3-877494FA0F32> /Applications/LibreOffice.app/Contents/MacOS/libspelllo.dylib
0x251cc000 - 0x251fffe3 +libpyuno.dylib ??? (???) <E9982300-23D0-4B76-9D31-4F3B4C390F96> /Applications/LibreOffice.app/Contents/MacOS/libpyuno.dylib
0x253b4000 - 0x253cbfff +invocation.uno.dylib ??? (???) <97336CDC-4DC3-D15B-643F-C26643D18FBE> /Applications/LibreOffice.app/Contents/ure-link/lib/invocation.uno.dylib
0x253dc000 - 0x25403feb +introspection.uno.dylib ??? (???) <F55CD186-1BCE-F58E-0306-BEAB87333112> /Applications/LibreOffice.app/Contents/ure-link/lib/introspection.uno.dylib
0x2541b000 - 0x25425fff +invocadapt.uno.dylib ??? (???) <CADF578F-8518-C5E1-BECE-020446129C6B> /Applications/LibreOffice.app/Contents/ure-link/lib/invocadapt.uno.dylib
0x25720000 - 0x25ac9fe3 +libxolo.dylib ??? (???) <3C834581-5689-CC85-84FB-2A9891F1FE7C> /Applications/LibreOffice.app/Contents/MacOS/libxolo.dylib
0x25c9f000 - 0x25e63fff +LibreOfficePython 3.3.0 (compatibility 3.3.0) <154825B4-DAE6-6309-CE0E-33CDE735C691> /Applications/LibreOffice.app/Contents/MacOS/LibreOfficePython.framework/Versions/3.3/LibreOfficePython
0x25fd0000 - 0x25fdaff7 +_socket.so ??? (???) <E9D07808-A48E-B68C-ECA9-2BE6E8729A75> /Applications/LibreOffice.app/Contents/program/LibreOfficePython.framework/Versions/Current/lib/python3.3/lib-dynload/_socket.so
0x25fe4000 - 0x25feafe7 +array.so ??? (???) <FBD3A5D4-5033-6CC8-605B-93D53E53795A> /Applications/LibreOffice.app/Contents/program/LibreOfficePython.framework/Versions/Current/lib/python3.3/lib-dynload/array.so
0x26800000 - 0x2681ffe3 +reflection.uno.dylib ??? (???) <1834DF0E-F559-4949-8DA2-CDC1EACD1CB6> /Applications/LibreOffice.app/Contents/ure-link/lib/reflection.uno.dylib
0x2693a000 - 0x2694cff7 +libhyphenlo.dylib ??? (???) <720ADB81-E400-4BFC-CF74-61C27A93E4C6> /Applications/LibreOffice.app/Contents/MacOS/libhyphenlo.dylib
0x2695b000 - 0x2696eff3 +liblnthlo.dylib ??? (???) <9AD795C9-F3D6-55AD-B228-17AD98BE69E9> /Applications/LibreOffice.app/Contents/MacOS/liblnthlo.dylib
0x2699d000 - 0x26a61fe7 +libdeployment.dylib ??? (???) <F576A21E-9B96-09A0-72F5-CBE0AA580CC0> /Applications/LibreOffice.app/Contents/MacOS/libdeployment.dylib
0x26af9000 - 0x26b2effb +libhelplinkerlo.dylib ??? (???) <BB15A7AE-3B38-A928-35D0-C050BDA0BA17> /Applications/LibreOffice.app/Contents/MacOS/libhelplinkerlo.dylib
0x26b3f000 - 0x26c86ff3 +libclucene.dylib ??? (???) <681CFBC1-50A3-9F10-5B5C-D2896D9E76DC> /Applications/LibreOffice.app/Contents/MacOS/libclucene.dylib
0x26db4000 - 0x26f2dff7  GLEngine ??? (???) <76C922AA-A4A7-2835-537B-17F316AD95F6> /System/Library/Frameworks/OpenGL.framework/Resources/GLEngine.bundle/GLEngine
0x26f5f000 - 0x273c9ff7  com.apple.driver.AppleIntelGMAX3100GLDriver 1.6.36 (6.3.6) <C73909B6-ED68-773D-9C15-E44910551D31> /System/Library/Extensions/AppleIntelGMAX3100GLDriver.bundle/Contents/MacOS/AppleIntelGMAX3100GLDriver
0x2751a000 - 0x275c5feb +libxstor.dylib ??? (???) <BCAA603F-C563-49DC-188A-20B1BA276F09> /Applications/LibreOffice.app/Contents/MacOS/libxstor.dylib
0x27625000 - 0x27631fff +libfileacc.dylib ??? (???) <BD76FFC7-4852-130F-3C19-5B52051156A0> /Applications/LibreOffice.app/Contents/MacOS/libfileacc.dylib
0x278a9000 - 0x278f1fe7 +libuuilo.dylib ??? (???) <06982D53-5F29-85A8-7EA3-2CD3683C37D5> /Applications/LibreOffice.app/Contents/MacOS/libuuilo.dylib
0x2791f000 - 0x27929ffb +libswdlo.dylib ??? (???) <C2213F71-C4D2-1C98-AB72-FD152A5EC639> /Applications/LibreOffice.app/Contents/MacOS/libswdlo.dylib
0x27934000 - 0x27950feb +libavmedialo.dylib ??? (???) <190AABCD-DBAC-F40C-2F7C-0E078294F79B> /Applications/LibreOffice.app/Contents/MacOS/libavmedialo.dylib
0x2796e000 - 0x27afaffb +libeditenglo.dylib ??? (???) <D6B531D2-EFA6-F33A-C955-3298F86CDF56> /Applications/LibreOffice.app/Contents/MacOS/libeditenglo.dylib
0x27bf5000 - 0x27c96fef +libvbahelperlo.dylib ??? (???) <D15412D6-B482-0DE1-5EA1-BB237B58881A> /Applications/LibreOffice.app/Contents/MacOS/libvbahelperlo.dylib
0x27d9f000 - 0x27f9dfff +libsvxlo.dylib ??? (???) <010FEF96-C83E-9834-8EF0-771091B7DD67> /Applications/LibreOffice.app/Contents/MacOS/libsvxlo.dylib
0x28131000 - 0x286aefeb +libsvxcorelo.dylib ??? (???) <059AFB1D-0394-0509-C18A-BA4DB58518C4> /Applications/LibreOffice.app/Contents/MacOS/libsvxcorelo.dylib
0x28ade000 - 0x28b10ff7 +libunordflo.dylib ??? (???) <F9B2A836-6C91-0FB1-18CF-3BFAFF04DFED> /Applications/LibreOffice.app/Contents/MacOS/libunordflo.dylib
0x28b36000 - 0x28b56ff7 +librdf-lo.0.dylib ??? (???) <B97AEDB0-E359-A588-9C32-27C9379CF9F8> /Applications/LibreOffice.app/Contents/MacOS/librdf-lo.0.dylib
0x2c296000 - 0x2cd3ffff +libswlo.dylib ??? (???) <08185A3A-F4CA-C23C-9ED0-E754E6B36FC0> /Applications/LibreOffice.app/Contents/MacOS/libswlo.dylib
0x2d2dc000 - 0x2d378fff +libmsfilterlo.dylib ??? (???) <80615F13-F9D1-8B2C-3F04-CA2DD034AE9E> /Applications/LibreOffice.app/Contents/MacOS/libmsfilterlo.dylib
0x2d3b9000 - 0x2d3e2fe7 +librasqal-lo.1.dylib 2.0.0 (compatibility 2.0.0) <35BF96F2-93D0-47A2-C906-0F2AEF3C572E> /Applications/LibreOffice.app/Contents/MacOS/librasqal-lo.1.dylib
0x2d3fa000 - 0x2d442ff7 +libraptor-lo.1.dylib 3.0.0 (compatibility 3.0.0) <F34602B2-E33D-111C-1038-F7A3B1768E15> /Applications/LibreOffice.app/Contents/MacOS/libraptor-lo.1.dylib
0x2d453000 - 0x2d508fe7  libcrypto.0.9.7.dylib 0.9.7 (compatibility 0.9.7) <AACC86C0-86B4-B1A7-003F-2A0AF68973A2> /usr/lib/libcrypto.0.9.7.dylib
0x2d57e000 - 0x2d5dcfeb +libunoxmllo.dylib ??? (???) <748867DC-95D8-8406-5C2E-957FABED957C> /Applications/LibreOffice.app/Contents/MacOS/libunoxmllo.dylib
0x8fe00000 - 0x8fe4163b  dyld 132.1 (???) <4CDE4F04-0DD6-224E-ACE5-3C06E169A801> /usr/lib/dyld
0x90003000 - 0x90327fef  com.apple.HIToolbox 1.6.5 (???) <21164164-41CE-61DE-C567-32E89755CB34> /System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/HIToolbox.framework/Versions/A/HIToolbox
0x90328000 - 0x903aaffb  SecurityFoundation ??? (???) <C4506287-1AE2-5380-675D-95B0291AA425> /System/Library/Frameworks/SecurityFoundation.framework/Versions/A/SecurityFoundation
0x903ab000 - 0x90dfeff7  com.apple.WebCore 6533.21 (6533.21.1) <04C66A67-4CF2-5F4B-4EA3-00E67B0F9411> /System/Library/Frameworks/WebKit.framework/Versions/A/Frameworks/WebCore.framework/Versions/A/WebCore
0x90dff000 - 0x90e6eff7  libvMisc.dylib 268.0.1 (compatibility 1.0.0) <595A5539-9F54-63E6-7AAC-C04E1574B050> /System/Library/Frameworks/Accelerate.framework/Versions/A/Frameworks/vecLib.framework/Versions/A/libvMisc.dylib
0x90e6f000 - 0x90e96ff7  com.apple.quartzfilters 1.6.0 (1.6.0) <879A3B93-87A6-88FE-305D-DF1EAED04756> /System/Library/Frameworks/Quartz.framework/Versions/A/Frameworks/QuartzFilters.framework/Versions/A/QuartzFilters
0x90e97000 - 0x91202ff7  com.apple.QuartzCore 1.6.3 (227.37) <E323A5CC-499E-CA9E-9BC3-537231449CAA> /System/Library/Frameworks/QuartzCore.framework/Versions/A/QuartzCore
0x91203000 - 0x91206ffb  com.apple.help 1.3.2 (41.1) <8AC20B01-4A3B-94BA-D8AF-E39034B97D8C> /System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/Help.framework/Versions/A/Help
0x91207000 - 0x91658fef  com.apple.RawCamera.bundle 3.7.1 (570) <AF94D180-5E0F-10DF-0CB2-FD8EDB110FA2> /System/Library/CoreServices/RawCamera.bundle/Contents/MacOS/RawCamera
0x9165b000 - 0x9165eff7  libCGXType.A.dylib 545.0.0 (compatibility 64.0.0) <4D766435-EB76-C384-0127-1D20ACD74076> /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/CoreGraphics.framework/Versions/A/Resources/libCGXType.A.dylib
0x916a3000 - 0x916ddff7  libcups.2.dylib 2.8.0 (compatibility 2.0.0) <A6C207E3-7B42-926D-9C93-BE3F50B92496> /usr/lib/libcups.2.dylib
0x916e1000 - 0x916e6ff7  com.apple.OpenDirectory 10.6 (10.6) <0603680A-A002-D294-DE83-0D028C6BE884> /System/Library/Frameworks/OpenDirectory.framework/Versions/A/OpenDirectory
0x9170b000 - 0x918e4fff  libType1Scaler.dylib ??? (???) <04AF2B34-81D4-97E9-BD56-387D37C16F46> /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/ATS.framework/Versions/A/Resources/libType1Scaler.dylib
0x918e5000 - 0x918e8ff7  libCoreVMClient.dylib ??? (???) <37F56237-4ABA-E5B5-968D-70FFE357E8E0> /System/Library/Frameworks/OpenGL.framework/Versions/A/Libraries/libCoreVMClient.dylib
0x918e9000 - 0x918f7ff7  com.apple.opengl 1.6.14 (1.6.14) <82622F67-E032-0BF6-A78D-50B346E8D0FD> /System/Library/Frameworks/OpenGL.framework/Versions/A/OpenGL
0x918f8000 - 0x91abbfeb  com.apple.ImageIO.framework 3.0.6 (3.0.6) <5BF202E9-730A-3675-4374-E5300BC8ED10> /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/ImageIO.framework/Versions/A/ImageIO
0x91abc000 - 0x91b9cfe7  com.apple.vImage 4.1 (4.1) <D029C515-08E1-93A6-3705-DD062A3A672C> /System/Library/Frameworks/Accelerate.framework/Versions/A/Frameworks/vImage.framework/Versions/A/vImage
0x91b9d000 - 0x91ba3fff  com.apple.CommonPanels 1.2.4 (91) <2438AF5D-067B-B9FD-1248-2C9987F360BA> /System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/CommonPanels.framework/Versions/A/CommonPanels
0x91ba4000 - 0x91fbaff7  libBLAS.dylib 219.0.0 (compatibility 1.0.0) <C4FB303A-DB4D-F9E8-181C-129585E59603> /System/Library/Frameworks/Accelerate.framework/Versions/A/Frameworks/vecLib.framework/Versions/A/libBLAS.dylib
0x91fbb000 - 0x91fc4ff7  com.apple.DiskArbitration 2.3 (2.3) <E9C40767-DA6A-6CCB-8B00-2D5706753000> /System/Library/Frameworks/DiskArbitration.framework/Versions/A/DiskArbitration
0x920c2000 - 0x92333fef  com.apple.Foundation 6.6.8 (751.63) <69B3441C-B196-F2AD-07F8-D8DD24E4CD8C> /System/Library/Frameworks/Foundation.framework/Versions/C/Foundation
0x923f5000 - 0x923f6ff7  com.apple.MonitorPanelFramework 1.3.0 (1.3.0) <0EC4EEFF-477E-908E-6F21-ED2C973846A4> /System/Library/PrivateFrameworks/MonitorPanel.framework/Versions/A/MonitorPanel
0x923f7000 - 0x92438ff7  libRIP.A.dylib 545.0.0 (compatibility 64.0.0) <80998F66-0AD7-AD12-B9AF-3E8D2CE6DE05> /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/CoreGraphics.framework/Versions/A/Resources/libRIP.A.dylib
0x9246b000 - 0x925aefef  com.apple.QTKit 7.7 (1791) <74F00760-A831-B8F2-869D-84C1F2366204> /System/Library/Frameworks/QTKit.framework/Versions/A/QTKit
0x925af000 - 0x925c0ff7  com.apple.LangAnalysis 1.6.6 (1.6.6) <3036AD83-4F1D-1028-54EE-54165E562650> /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/LangAnalysis.framework/Versions/A/LangAnalysis
0x925c1000 - 0x92653fe7  com.apple.print.framework.PrintCore 6.3 (312.7) <7410D1B2-655D-68DA-D4B9-2C65747B6817> /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/PrintCore.framework/Versions/A/PrintCore
0x92673000 - 0x92676fe7  libmathCommon.A.dylib 315.0.0 (compatibility 1.0.0) <1622A54F-1A98-2CBE-B6A4-2122981A500E> /usr/lib/system/libmathCommon.A.dylib
0x92677000 - 0x92677ff7  com.apple.quartzframework 1.5 (1.5) <4EE8095D-5E47-1EB6-3A8A-6ECE3BEC8647> /System/Library/Frameworks/Quartz.framework/Versions/A/Quartz
0x9268c000 - 0x92698ff7  libkxld.dylib ??? (???) <9A441C48-2D18-E716-5F38-CBEAE6A0BB3E> /usr/lib/system/libkxld.dylib
0x92743000 - 0x92787ff3  com.apple.coreui 2 (114) <2234855E-3BED-717F-0BFA-D1A289ECDBDA> /System/Library/PrivateFrameworks/CoreUI.framework/Versions/A/CoreUI
0x92788000 - 0x92801ff7  com.apple.PDFKit 2.5.1 (2.5.1) <A068BF37-03E0-A231-2791-561C60C3ED2B> /System/Library/Frameworks/Quartz.framework/Versions/A/Frameworks/PDFKit.framework/Versions/A/PDFKit
0x92802000 - 0x9292fffb  com.apple.MediaToolbox 0.484.60 (484.60) <A7FE2739-64A7-40EB-A6E7-69FBCE3C87D4> /System/Library/PrivateFrameworks/MediaToolbox.framework/Versions/A/MediaToolbox
0x92930000 - 0x929e8feb  libFontParser.dylib ??? (???) <D2D0C922-5ED1-3AE9-6F99-707C74DF3E62> /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/ATS.framework/Versions/A/Resources/libFontParser.dylib
0x929e9000 - 0x92a4afe7  com.apple.CoreText 151.13 (???) <23F359DA-D845-5C50-4DF3-19E858CF2B2C> /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/CoreText.framework/Versions/A/CoreText
0x92a53000 - 0x92a7bff7  libxslt.1.dylib 3.24.0 (compatibility 3.0.0) <E761F29A-328B-29D9-3DF0-023F2C21E500> /usr/lib/libxslt.1.dylib
0x93149000 - 0x93181fe7  libcurl.4.dylib 6.1.0 (compatibility 6.0.0) <26FB5A40-6B39-1EA0-63D3-C2CC3BC6754D> /usr/lib/libcurl.4.dylib
0x93182000 - 0x93194ff7  com.apple.MultitouchSupport.framework 207.11 (207.11) <6FF4F2D6-B8CD-AE13-56CB-17437EE5B741> /System/Library/PrivateFrameworks/MultitouchSupport.framework/Versions/A/MultitouchSupport
0x9329c000 - 0x932ecff7  com.apple.framework.familycontrols 2.0.2 (2020) <596ADD85-79F5-A613-537B-F83B6E19013C> /System/Library/PrivateFrameworks/FamilyControls.framework/Versions/A/FamilyControls
0x93300000 - 0x93300ff7  com.apple.ApplicationServices 38 (38) <8012B504-3D83-BFBB-DA65-065E061CFE03> /System/Library/Frameworks/ApplicationServices.framework/Versions/A/ApplicationServices
0x93301000 - 0x93320ff7  com.apple.CoreVideo 1.6.2 (45.6) <EB53CAA4-5EE2-C356-A954-5775F7DDD493> /System/Library/Frameworks/CoreVideo.framework/Versions/A/CoreVideo
0x93321000 - 0x9335eff7  com.apple.CoreMedia 0.484.60 (484.60) <8FAB137D-682C-6DEC-5A15-F0029A5B226F> /System/Library/PrivateFrameworks/CoreMedia.framework/Versions/A/CoreMedia
0x9335f000 - 0x933a2ff7  com.apple.NavigationServices 3.5.4 (182) <8DC6FD4A-6C74-9C23-A4C3-715B44A8D28C> /System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/NavigationServices.framework/Versions/A/NavigationServices
0x933a3000 - 0x9345ffff  com.apple.ColorSync 4.6.8 (4.6.8) <920DD017-8B41-7334-E554-A85DB99EBD5A> /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/ColorSync.framework/Versions/A/ColorSync
0x9346c000 - 0x934aeff7  libvDSP.dylib 268.0.1 (compatibility 1.0.0) <8A4721DE-25C4-C8AA-EA90-9DA7812E3EBA> /System/Library/Frameworks/Accelerate.framework/Versions/A/Frameworks/vecLib.framework/Versions/A/libvDSP.dylib
0x934af000 - 0x935ddfe7  com.apple.CoreData 102.1 (251) <87FE6861-F2D6-773D-ED45-345272E56463> /System/Library/Frameworks/CoreData.framework/Versions/A/CoreData
0x935de000 - 0x93809ff3  com.apple.QuartzComposer 4.2 ({156.30}) <2C88F8C3-7181-6B1D-B278-E0EE3F33A2AF> /System/Library/Frameworks/Quartz.framework/Versions/A/Frameworks/QuartzComposer.framework/Versions/A/QuartzComposer
0x9380a000 - 0x9380eff7  libGIF.dylib ??? (???) <9E51F8ED-83B4-DA41-1E2F-CFA726936A30> /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/ImageIO.framework/Versions/A/Resources/libGIF.dylib
0x9380f000 - 0x93813ff7  libGFXShared.dylib ??? (???) <09540618-2ED1-72C4-61CB-938B35927568> /System/Library/Frameworks/OpenGL.framework/Versions/A/Libraries/libGFXShared.dylib
0x93814000 - 0x93816ff7  libRadiance.dylib ??? (???) <5F803B4A-B294-BA94-FB68-E8756EE41B20> /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/ImageIO.framework/Versions/A/Resources/libRadiance.dylib
0x93817000 - 0x93827ff7  com.apple.DSObjCWrappers.Framework 10.6 (134) <81A0B409-3906-A98F-CA9B-A49E75007495> /System/Library/PrivateFrameworks/DSObjCWrappers.framework/Versions/A/DSObjCWrappers
0x93828000 - 0x93828ff7  com.apple.Cocoa 6.6 (???) <EA27B428-5904-B00B-397A-185588698BCC> /System/Library/Frameworks/Cocoa.framework/Versions/A/Cocoa
0x93829000 - 0x9382dff7  IOSurface ??? (???) <89D859B7-A26A-A5AB-8401-FC1E01AC7A60> /System/Library/Frameworks/IOSurface.framework/Versions/A/IOSurface
0x9382e000 - 0x93874ff7  libauto.dylib ??? (???) <29422A70-87CF-10E2-CE59-FEE1234CFAAE> /usr/lib/libauto.dylib
0x93875000 - 0x93875ff7  com.apple.Accelerate 1.6 (Accelerate 1.6) <3891A689-4F38-FACD-38B2-4BF937DE30CF> /System/Library/Frameworks/Accelerate.framework/Versions/A/Accelerate
0x93876000 - 0x9392ffe7  libsqlite3.dylib 9.6.0 (compatibility 9.0.0) <52438E77-55D1-C231-1936-76F1369518E4> /usr/lib/libsqlite3.dylib
0x939a8000 - 0x939a8ff7  com.apple.Accelerate.vecLib 3.6 (vecLib 3.6) <ABF97DA4-3BDF-6FFD-6239-B023CA1F7974> /System/Library/Frameworks/Accelerate.framework/Versions/A/Frameworks/vecLib.framework/Versions/A/vecLib
0x939a9000 - 0x93e64ff7  com.apple.VideoToolbox 0.484.60 (484.60) <B53299EC-E30F-EC04-779D-29B7113CC14A> /System/Library/PrivateFrameworks/VideoToolbox.framework/Versions/A/VideoToolbox
0x93ea8000 - 0x941c8ff3  com.apple.CoreServices.CarbonCore 861.39 (861.39) <5C59805C-AF39-9010-B8B5-D673C9C38538> /System/Library/Frameworks/CoreServices.framework/Versions/A/Frameworks/CarbonCore.framework/Versions/A/CarbonCore
0x941c9000 - 0x9421cff7  com.apple.HIServices 1.8.3 (???) <1D3C4587-6318-C339-BD0F-1988F246BE2E> /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/HIServices.framework/Versions/A/HIServices
0x9421d000 - 0x94258ffb  libFontRegistry.dylib ??? (???) <19ED5DE0-D3AF-B229-9193-35D58FE377E5> /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/ATS.framework/Versions/A/Resources/libFontRegistry.dylib
0x9425e000 - 0x94264ff7  libCGXCoreImage.A.dylib 545.0.0 (compatibility 64.0.0) <6EE825E7-CBA5-2AD2-0336-244D45A1A834> /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/CoreGraphics.framework/Versions/A/Resources/libCGXCoreImage.A.dylib
0x94265000 - 0x943e7fe7  libicucore.A.dylib 40.0.0 (compatibility 1.0.0) <50A70082-F800-93D8-1A7C-C95AAB1F352C> /usr/lib/libicucore.A.dylib
0x943e8000 - 0x9444cffb  com.apple.htmlrendering 72 (1.1.4) <4D451A35-FAB6-1288-71F6-F24A4B6E2371> /System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/HTMLRendering.framework/Versions/A/HTMLRendering
0x9444d000 - 0x94490ff7  libGLU.dylib ??? (???) <6CC3CE6A-7024-C685-EADA-7F9DC27128E2> /System/Library/Frameworks/OpenGL.framework/Versions/A/Libraries/libGLU.dylib
0x946a7000 - 0x946a9ff7  com.apple.securityhi 4.0 (36638) <6118C361-61E7-B34E-93DB-1B88108F8F18> /System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/SecurityHI.framework/Versions/A/SecurityHI
0x946aa000 - 0x946ceff7  libJPEG.dylib ??? (???) <C43FD809-08B6-629D-8980-D7B0ECEA20A9> /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/ImageIO.framework/Versions/A/Resources/libJPEG.dylib
0x946cf000 - 0x9480cfe7  com.apple.audio.toolbox.AudioToolbox 1.6.7 (1.6.7) <423BDE4D-5082-B6CA-BB2C-E22A037235A4> /System/Library/Frameworks/AudioToolbox.framework/Versions/A/AudioToolbox
0x949ea000 - 0x949eaff7  liblangid.dylib ??? (???) <B99607FC-5646-32C8-2C16-AFB5EA9097C2> /usr/lib/liblangid.dylib
0x949eb000 - 0x949f2ff3  com.apple.print.framework.Print 6.1 (237.1) <F5AAE53D-5530-9004-A9E3-2C1690C5328E> /System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/Print.framework/Versions/A/Print
0x949f3000 - 0x94b6efe7  com.apple.CoreFoundation 6.6.6 (550.44) <F88C95CD-1264-782D-A1F5-204739847E93> /System/Library/Frameworks/CoreFoundation.framework/Versions/A/CoreFoundation
0x94b6f000 - 0x94d6dff3  com.apple.JavaScriptCore 6533.20 (6533.20.20) <011E271D-4CA4-FFB0-2EDD-13C31C239899> /System/Library/Frameworks/JavaScriptCore.framework/Versions/A/JavaScriptCore
0x95068000 - 0x9507cffb  com.apple.speech.synthesis.framework 3.10.35 (3.10.35) <57DD5458-4F24-DA7D-0927-C3321A65D743> /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/SpeechSynthesis.framework/Versions/A/SpeechSynthesis
0x9507d000 - 0x95088ff7  libCSync.A.dylib 545.0.0 (compatibility 64.0.0) <287DECA3-7821-32B6-724D-AE03A9A350F9> /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/CoreGraphics.framework/Versions/A/Resources/libCSync.A.dylib
0x95089000 - 0x950cdfe7  com.apple.Metadata 10.6.3 (507.15) <74F05E64-2A68-BA10-CCD4-128D164E5A0F> /System/Library/Frameworks/CoreServices.framework/Versions/A/Frameworks/Metadata.framework/Versions/A/Metadata
0x950ce000 - 0x950cfff7  com.apple.audio.units.AudioUnit 1.6.7 (1.6.7) <93EC71F1-4D4E-F456-8EFE-32E7EFD7A064> /System/Library/Frameworks/AudioUnit.framework/Versions/A/AudioUnit
0x950d0000 - 0x950d1ff7  com.apple.TrustEvaluationAgent 1.1 (1) <2D970A9B-77E8-EDC0-BEC6-7580D78B2843> /System/Library/PrivateFrameworks/TrustEvaluationAgent.framework/Versions/A/TrustEvaluationAgent
0x96026000 - 0x9603eff7  com.apple.CFOpenDirectory 10.6 (10.6) <D1CF5881-0AF7-D164-4156-9E9067B7FA37> /System/Library/Frameworks/OpenDirectory.framework/Versions/A/Frameworks/CFOpenDirectory.framework/Versions/A/CFOpenDirectory
0x96075000 - 0x96121fe7  com.apple.CFNetwork 454.12.4 (454.12.4) <DEDCD006-389F-967F-3405-EDF541F406D7> /System/Library/Frameworks/CoreServices.framework/Versions/A/Frameworks/CFNetwork.framework/Versions/A/CFNetwork
0x96132000 - 0x96182fe7  libTIFF.dylib ??? (???) <E8B31850-BFD4-48E6-B264-A4340CD19929> /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/ImageIO.framework/Versions/A/Resources/libTIFF.dylib
0x96255000 - 0x96286ff7  libGLImage.dylib ??? (???) <D18E2E76-DBF4-6930-039A-F66CA0D120B3> /System/Library/Frameworks/OpenGL.framework/Versions/A/Libraries/libGLImage.dylib
0x96287000 - 0x96295fe7  libz.1.dylib 1.2.3 (compatibility 1.0.0) <33C1B260-ED05-945D-FC33-EF56EC791E2E> /usr/lib/libz.1.dylib
0x96296000 - 0x962b6fe7  libresolv.9.dylib 41.1.0 (compatibility 1.0.0) <8C2B5FA8-2469-21C7-D297-F95A0FFE5F19> /usr/lib/libresolv.9.dylib
0x962c3000 - 0x962cdfe7  com.apple.audio.SoundManager 3.9.3 (3.9.3) <5F494955-7290-2D91-DA94-44B590191771> /System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/CarbonSound.framework/Versions/A/CarbonSound
0x962ce000 - 0x96315ffb  com.apple.CoreMediaIOServices 140.0 (1496) <DA152F1C-8EF4-4F5E-6D60-82B1DC72EF47> /System/Library/PrivateFrameworks/CoreMediaIOServices.framework/Versions/A/CoreMediaIOServices
0x963cd000 - 0x963cdff7  com.apple.CoreServices 44 (44) <51CFA89A-33DB-90ED-26A8-67D461718A4A> /System/Library/Frameworks/CoreServices.framework/Versions/A/CoreServices
0x963ce000 - 0x96449fff  com.apple.AppleVAFramework 4.10.27 (4.10.27) <BFD2D1CA-535C-F16F-0EB5-04905ABD65CF> /System/Library/PrivateFrameworks/AppleVA.framework/Versions/A/AppleVA
0x9644a000 - 0x964b4fe7  libstdc++.6.dylib 7.9.0 (compatibility 7.0.0) <411D87F4-B7E1-44EB-F201-F8B4F9227213> /usr/lib/libstdc++.6.dylib
0x964b5000 - 0x96ca4557  com.apple.CoreGraphics 1.545.0 (???) <1D9DC7A5-228B-42CB-7018-66F42C3A9BB3> /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/CoreGraphics.framework/Versions/A/CoreGraphics
0x96ca5000 - 0x96ceaff7  com.apple.ImageCaptureCore 1.1 (1.1) <F54F284F-0B81-0AFA-CE47-FF797A6E05B0> /System/Library/Frameworks/ImageCaptureCore.framework/Versions/A/ImageCaptureCore
0x96ceb000 - 0x96d38feb  com.apple.DirectoryService.PasswordServerFramework 6.1 (6.1) <00A1A83B-0E7D-D0F4-A643-8C5675C2BB21> /System/Library/PrivateFrameworks/PasswordServer.framework/Versions/A/PasswordServer
0x96eaa000 - 0x96f84fff  com.apple.DesktopServices 1.5.11 (1.5.11) <800F2040-9211-81A7-B438-7712BF51DEE3> /System/Library/PrivateFrameworks/DesktopServicesPriv.framework/Versions/A/DesktopServicesPriv
0x96f85000 - 0x96f95ff7  libsasl2.2.dylib 3.15.0 (compatibility 3.0.0) <C8744EA3-0AB7-CD03-E639-C4F2B910BE5D> /usr/lib/libsasl2.2.dylib
0x96f96000 - 0x96fd0fe7  libssl.0.9.8.dylib 0.9.8 (compatibility 0.9.8) <C62A7753-99A2-6782-92E7-6628A6190A90> /usr/lib/libssl.0.9.8.dylib
0x96fd1000 - 0x970d1fe7  libxml2.2.dylib 10.3.0 (compatibility 10.0.0) <BE7FCD73-03B5-25A4-FCA4-D4980F1488D6> /usr/lib/libxml2.2.dylib
0x970d2000 - 0x97279ff7  libSystem.B.dylib 125.2.11 (compatibility 1.0.0) <2DCD13E3-1BD1-6F25-119A-3863A3848B90> /usr/lib/libSystem.B.dylib
0x972bc000 - 0x972d0fe7  libbsm.0.dylib ??? (???) <14CB053A-7C47-96DA-E415-0906BA1B78C9> /usr/lib/libbsm.0.dylib
0x972d1000 - 0x97706ff7  libLAPACK.dylib 219.0.0 (compatibility 1.0.0) <5E2D2283-57DE-9A49-1DB0-CD027FEFA6C2> /System/Library/Frameworks/Accelerate.framework/Versions/A/Frameworks/vecLib.framework/Versions/A/libLAPACK.dylib
0x97712000 - 0x978f4fff  com.apple.imageKit 2.0.3 (1.0) <6E557757-26F7-7941-8AE7-046EC1871F50> /System/Library/Frameworks/Quartz.framework/Versions/A/Frameworks/ImageKit.framework/Versions/A/ImageKit
0x978f5000 - 0x97992fe3  com.apple.LaunchServices 362.3 (362.3) <15B47388-16C8-97DA-EEBB-1709E136169E> /System/Library/Frameworks/CoreServices.framework/Versions/A/Frameworks/LaunchServices.framework/Versions/A/LaunchServices
0x979e4000 - 0x97a06fef  com.apple.DirectoryService.Framework 3.6 (621.15) <F38894EA-2C13-7FC5-C084-94DA0B5B6B68> /System/Library/Frameworks/DirectoryService.framework/Versions/A/DirectoryService
0x97a07000 - 0x97a14ff7  com.apple.NetFS 3.2.2 (3.2.2) <DDC9C397-C35F-8D7A-BB24-3D1B42FA5FAB> /System/Library/Frameworks/NetFS.framework/Versions/A/NetFS
0x97a74000 - 0x97aacff7  com.apple.LDAPFramework 2.0 (120.1) <131ED804-DD88-D84F-13F8-D48E0012B96F> /System/Library/Frameworks/LDAP.framework/Versions/A/LDAP
0x97aad000 - 0x97b5bff3  com.apple.ink.framework 1.3.3 (107) <233A981E-A2F9-56FB-8BDE-C2DEC3F20784> /System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/Ink.framework/Versions/A/Ink
0x97c3b000 - 0x9851eff7  com.apple.AppKit 6.6.8 (1038.36) <A353465E-CFC9-CB75-949D-786F6F7732F6> /System/Library/Frameworks/AppKit.framework/Versions/C/AppKit
0x98565000 - 0x98598ff7  com.apple.AE 496.5 (496.5) <BF9673D5-2419-7120-26A3-83D264C75222> /System/Library/Frameworks/CoreServices.framework/Versions/A/Frameworks/AE.framework/Versions/A/AE
0x985c5000 - 0x98603ff7  com.apple.QuickLookFramework 2.3 (327.7) <6387A103-C7EF-D56B-10EF-5ED5FC7F33A5> /System/Library/Frameworks/QuickLook.framework/Versions/A/QuickLook
0x98679000 - 0x98973fef  com.apple.QuickTime 7.6.6 (1791) <8E56F3DC-725B-0299-7E62-8599CA6EC4C0> /System/Library/Frameworks/QuickTime.framework/Versions/A/QuickTime
0x98974000 - 0x98a80fe7  libGLProgrammability.dylib ??? (???) <6167CEB0-D8D6-C4D9-DD74-49755ADB540F> /System/Library/Frameworks/OpenGL.framework/Versions/A/Libraries/libGLProgrammability.dylib
0x98a81000 - 0x98b29ffb  com.apple.QD 3.36 (???) <FA2785A4-BB69-DCB4-3BA3-7C89A82CAB41> /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/QD.framework/Versions/A/QD
0x98b2a000 - 0x98b80ff7  com.apple.MeshKitRuntime 1.1 (49.2) <CB9F38B1-E107-EA62-EDFF-02EE79F6D1A5> /System/Library/PrivateFrameworks/MeshKit.framework/Versions/A/Frameworks/MeshKitRuntime.framework/Versions/A/MeshKitRuntime
0x98b81000 - 0x98bfbfff  com.apple.audio.CoreAudio 3.2.6 (3.2.6) <156A532C-0B60-55B0-EE27-D02B82AA6217> /System/Library/Frameworks/CoreAudio.framework/Versions/A/CoreAudio
0x98c27000 - 0x98ca4ff7  com.apple.iLifeMediaBrowser 2.5.5 (468.2.2) <459C8983-EAC4-7067-3355-5299D111D339> /System/Library/PrivateFrameworks/iLifeMediaBrowser.framework/Versions/A/iLifeMediaBrowser
0x98d8e000 - 0x98e59fef  com.apple.CoreServices.OSServices 359.2 (359.2) <7C16D9C8-6F41-5754-17F7-2659D9DD9579> /System/Library/Frameworks/CoreServices.framework/Versions/A/Frameworks/OSServices.framework/Versions/A/OSServices
0x98e66000 - 0x98f68fef  com.apple.MeshKitIO 1.1 (49.2) <D0401AC5-1F92-2BBB-EBAB-58EDD3BA61B9> /System/Library/PrivateFrameworks/MeshKit.framework/Versions/A/Frameworks/MeshKitIO.framework/Versions/A/MeshKitIO
0x98f69000 - 0x98f69ff7  com.apple.vecLib 3.6 (vecLib 3.6) <FF4DC8B6-0AB0-DEE8-ADA8-7B57645A1F36> /System/Library/Frameworks/vecLib.framework/Versions/A/vecLib
0x98f6a000 - 0x98f7ffff  com.apple.ImageCapture 6.1 (6.1) <B909459A-EAC9-A7C8-F2A9-CD757CDB59E8> /System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/ImageCapture.framework/Versions/A/ImageCapture
0x98f80000 - 0x991e6ff7  com.apple.security 6.1.2 (55002) <3FA54D69-5476-78DD-0AFC-D6697263890E> /System/Library/Frameworks/Security.framework/Versions/A/Security
0x991e7000 - 0x991efff7  com.apple.DisplayServicesFW 2.3.3 (289) <828084B0-9197-14DD-F66A-D634250A212E> /System/Library/PrivateFrameworks/DisplayServices.framework/Versions/A/DisplayServices
0x991f6000 - 0x99217fe7  com.apple.opencl 12.3.6 (12.3.6) <B4104B80-1CB3-191C-AFD3-697843C6BCFF> /System/Library/Frameworks/OpenCL.framework/Versions/A/OpenCL
0x99218000 - 0x99327fe7  com.apple.WebKit 6533.21 (6533.21.1) <87AFEE12-270F-2D84-1B93-81DF1DA47A7F> /System/Library/Frameworks/WebKit.framework/Versions/A/WebKit
0x99328000 - 0x99328ff7  com.apple.Carbon 150 (152) <8F767518-AD3C-5CA0-7613-674CD2B509C4> /System/Library/Frameworks/Carbon.framework/Versions/A/Carbon
0x99331000 - 0x9933bffb  com.apple.speech.recognition.framework 3.11.1 (3.11.1) <7486003F-8FDB-BD6C-CB34-DE45315BD82C> /System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/SpeechRecognition.framework/Versions/A/SpeechRecognition
0x9933c000 - 0x99430ff7  libiconv.2.dylib 7.0.0 (compatibility 7.0.0) <061ABF36-8BA9-79C1-6CE7-EC69A4998F51> /usr/lib/libiconv.2.dylib
0x99472000 - 0x99478fe7  com.apple.CommerceCore 1.0 (9.1) <521D067B-3BDA-D04E-E1FA-CFA526C87EB5> /System/Library/PrivateFrameworks/CommerceKit.framework/Versions/A/Frameworks/CommerceCore.framework/Versions/A/CommerceCore
0x99479000 - 0x99526fe7  libobjc.A.dylib 227.0.0 (compatibility 1.0.0) <9F8413A6-736D-37D9-8EB3-7986D4699957> /usr/lib/libobjc.A.dylib
0x99527000 - 0x9957ffe7  com.apple.datadetectorscore 2.0 (80.7) <ADDE04FB-90A7-2132-75AF-C6B19DD0D97E> /System/Library/PrivateFrameworks/DataDetectorsCore.framework/Versions/A/DataDetectorsCore
0x995c8000 - 0x995fbfff  libTrueTypeScaler.dylib ??? (???) <8ADB7D19-413E-4499-C874-13C383F97685> /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/ATS.framework/Versions/A/Resources/libTrueTypeScaler.dylib
0x99633000 - 0x9968dfe7  com.apple.CorePDF 1.4 (1.4) <78A1DDE1-1609-223C-A532-D282DC5E0CD0> /System/Library/PrivateFrameworks/CorePDF.framework/Versions/A/CorePDF
0x997eb000 - 0x997f6ff7  libGL.dylib ??? (???) <3E34468F-E9A7-8EFB-FF66-5204BD5B4E21> /System/Library/Frameworks/OpenGL.framework/Versions/A/Libraries/libGL.dylib
0x997f7000 - 0x99892fe7  com.apple.ApplicationServices.ATS 275.19 (???) <2E83B3E9-AF39-36FC-5D05-CC1E952098AB> /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/ATS.framework/Versions/A/ATS
0x9989a000 - 0x9999cfe7  libcrypto.0.9.8.dylib 0.9.8 (compatibility 0.9.8) <015563C4-81E2-8C8A-82AC-31B38D904A42> /usr/lib/libcrypto.0.9.8.dylib
0x9999d000 - 0x999b9fe3  com.apple.openscripting 1.3.1 (???) <2A748037-D1C0-6D47-2C4A-0562AF799AC9> /System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/OpenScripting.framework/Versions/A/OpenScripting
0x999ba000 - 0x99a52fe7  edu.mit.Kerberos 6.5.11 (6.5.11) <F36DB665-A88B-7F5B-6244-6A2E7FFFF668> /System/Library/Frameworks/Kerberos.framework/Versions/A/Kerberos
0x99a6e000 - 0x99aeefeb  com.apple.SearchKit 1.3.0 (1.3.0) <9E18AEA5-F4B4-8BE5-EEA9-818FC4F46FD9> /System/Library/Frameworks/CoreServices.framework/Versions/A/Frameworks/SearchKit.framework/Versions/A/SearchKit
0x99aef000 - 0x99b5dff7  com.apple.QuickLookUIFramework 2.3 (327.7) <7F89C0A1-310F-ACF1-AA6E-4ADFA4DC98DC> /System/Library/Frameworks/Quartz.framework/Versions/A/Frameworks/QuickLookUI.framework/Versions/A/QuickLookUI
0x99bd9000 - 0x99c16ff7  com.apple.SystemConfiguration 1.10.8 (1.10.2) <50E4D49B-4F61-446F-1C21-1B2BA814713D> /System/Library/Frameworks/SystemConfiguration.framework/Versions/A/SystemConfiguration
0x99c3e000 - 0x99c64ffb  com.apple.DictionaryServices 1.1.2 (1.1.2) <43E1D565-6E01-3681-F2E5-72AE4C3A097A> /System/Library/Frameworks/CoreServices.framework/Versions/A/Frameworks/DictionaryServices.framework/Versions/A/DictionaryServices
0x99c65000 - 0x99cc2ff7  com.apple.framework.IOKit 2.0 (???) <3DABAB9C-4949-F441-B077-0498F8E47A35> /System/Library/Frameworks/IOKit.framework/Versions/A/IOKit
0x99d11000 - 0x99d2ffe7  libPng.dylib ??? (???) <5B979A83-8CE7-6BD7-B84C-A2D1119B378D> /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/ImageIO.framework/Versions/A/Resources/libPng.dylib
0x99d30000 - 0x99d60ff7  com.apple.MeshKit 1.1 (49.2) <5A74D1A4-4B97-FE39-4F4D-E0B80F0ADD87> /System/Library/PrivateFrameworks/MeshKit.framework/Versions/A/MeshKit
0xffff0000 - 0xffff1fff  libSystem.B.dylib ??? (???) <2DCD13E3-1BD1-6F25-119A-3863A3848B90> /usr/lib/libSystem.B.dylib
Comment 1 Jorendc 2013-02-17 11:19:10 UTC
*** Bug 60997 has been marked as a duplicate of this bug. ***
Comment 2 Jorendc 2013-02-17 11:20:44 UTC
Because Anton reported a duplicate bug, we have a independent confirmation. Therefore I mark this bug as NEW. Anton reported this bug using windows, thus I change platforms to all.

Kind regards,
Joren
Comment 3 Marcool 2013-02-17 20:14:16 UTC
Hi, I am just wondering, upon thinking about it a little more I have decided maybe this is in fact TWO bugs :
-Number one, would relate to the error message I was getting on trying to save : "Could not save document, error in writing sub document context.xml"
-Number two would relate to the fact that LO crashed with no output on trying to open that file later on. This one would then be connected to the OS X feedback I gave in the original bug post.
I realize the two are no doubt related but I wonder if they are truly the same bug... probably not if looked at closely.
Tell me what you think.
Regards,
Mark.
Comment 4 Harald Koester 2013-02-21 15:23:55 UTC
Created attachment 75256 [details]
Example file
Comment 5 Harald Koester 2013-02-21 15:27:33 UTC
I got the same error message with version 4.0.0.3. I do not know if there is the same reason hence the description of Marcool is not really specific. 

Anton also wrote in bug 60997, that in his case the problem has something to do with comments with text ranges. So it seemed to me that my problem is at least similar to his problem.

There are two other reports (bug 60133 and bug 60588) which deal with the same error message. May be these are also duplicates of this problem.

I attached an example file in order to reproduce the bug. 

In order to reproduce the bug I did the following. If you use the example file start with step (7).

(1) Open new text document.
(2) Create three paragraphs.
(3) Insert comment 1 (no text range) in Paragraph 1.
(4) Insert comment 2 (text range: one word) in Paragraph 2.
(5) Insert comment 3 (text range beginning in Paragraph 2 and ending in Paragraph 3). The part of the text range of Paragraph 2 is marked in blue, the part of Paragraph 3 is marked in yellow. Strange !!!
(6) Save and close file (X). So far I prepared the example file which I will attach to this report.
(7) Open file again. Now there are 2 “Comment 3”, one in Paragraph 2 and one in Paragraph 3 and both with no text range. Expected: Only one comment with text range !!!
(8) Delete end of Paragraph 2 which is within the expected text range (in example file: Delete “Paragraph 2.”)
(9) Try to save and close File (X). An error message is displayed: “Error saving the document <file name>: Write Error. Error in writing sub-document content.xml.” Expected: Save and Close document !!!
(10) Klick OK and undo deletion. Then insert a word at the end of the Paragraph 3.
(11) Save and close file (X). Now the file can be saved.

OS: Win 7 Prof
Comment 6 Harald Koester 2013-02-21 15:36:29 UTC
Oh.....  I just saw that Bugzilla created links in my comment. This is not correct. The comments I mentioned should indicate comments inside a text document and not inside this bug report.

Oh... and another mistake. I mentioned bug 60133. This is wrong, correct is bug 61033.
Comment 7 Harald Koester 2013-02-22 13:12:26 UTC
(In reply to comment #5)
> (5) Insert comment 3 (text range beginning in Paragraph 2 and ending in
> Paragraph 3). The part of the text range of Paragraph 2 is marked in blue,
> the part of Paragraph 3 is marked in yellow. Strange !!!
This behaviour is reported in bug 61249.
Comment 8 Luis Villa 2013-02-26 22:42:52 UTC
Same problem here, also after using comments. Marking critical, as it is a data-loss bug that cannot be avoided by regular saves.
Comment 9 Omar Khashoggi 2013-03-01 14:23:11 UTC
I have the same problem (WIN7 64), and a new symptom.
I started selecting part of a text that's connected to a comment in order to remove it, Writer started saving endlessly, I tried sneaking in while it saves and clicked "Save As" but it resulted into the same problem (the content.xml error) then continued the endless saving loop, I had to close LibreOffice from the task manager.
It could have been autosave stuck somehow because of this comments bug, there is no way for me to confirm this.
If it wasn't clear, I recorded a video of the incident: http://youtu.be/4-9kk1GLrGM?t=7s
Comment 10 Luis Villa 2013-03-01 14:59:34 UTC
I had the same looping problem once, but haven't been able to repeat it.
Comment 11 Michael Meeks 2013-03-19 09:57:24 UTC
Miklos - this looks rather bad - is it a duplicate of the comment mis-management bug we fixed in 4.0.1 ?

I'd love feedback as to whether this continues in 4.0.1 or better 4.0.2rc1 available from http://www.libreoffice.org/download/pre-releases/

And apologies for the document corruption !
Comment 12 Miklos Vajna 2013-03-19 15:26:19 UTC
I can reproduce the bug using the steps from comment 5; at least odf export doesn't handle multi-para comments correctly, causing corrupted odf output. I'm looking into this.
Comment 13 Rainer Bielefeld Retired 2013-03-19 16:26:31 UTC
100% [Reproducible] with Server Installation of "LibO  4.0.0.3   -  GERMAN UI / German Locale  [Build ID: 7545bee9c2a0782548772a21bc84a9dcc583b89)]"  {tinderbox: @6, pull time 2013-01-31 11:30(?)} on German WIN7 Home Premium (64bit) with separate  new User Profile:

1. Launch LibO
2. Open Copy of Sample "2013-02-21 15:23 UTC, harald-koester@htp-tel.de"
3. In third text line behind highlighted word  behind following "2." click
   before "P" of next work "Paragraph"
   > Caret flashes before "P"
4. Keep left mouse button dragged and Select text until end of following 
   text line
   > highlighted until trailing dot.
5. <Del>
   deletes highlighted Text
7. Menu 'File -> Close'
   > Dialog appears
8. Confirm with <Save>
   Bug: Message appears.

This bug is no longer reproducible for me with 4.0.1.2
Let's see 4.0.1.2 results in
"Bug 60588 - Error in writing content.xml"
"Bug 61033 - FILESAVE: Write Error. Error in writing sub-document content.xml"

@Miklós:
If this WFM can be reproduced and you do not find hindering arguments we should close this one (if possible with hint concerning commit what fixed the problem).
Comment 14 Rainer Bielefeld Retired 2013-03-19 16:30:01 UTC
BTW, during my tests here I had a lot of crashes when I tried to save Attachment 75256 [details] or  Attachment 74538 [details] for Bug 60588 from 4.0.0.3 after I had deleted some text behind Comment position marks. Also these crashes are no longer reproducible with 4.0.1.2
Comment 15 Rainer Bielefeld Retired 2013-03-19 20:15:27 UTC
*** Bug 60588 has been marked as a duplicate of this bug. ***
Comment 16 V Stuart Foote 2013-03-19 21:08:02 UTC
(In reply to comment #11)
> 
> I'd love feedback as to whether this continues in 4.0.1 or better 4.0.2rc1
> available from http://www.libreoffice.org/download/pre-releases/

Had a Windows 7 64-bit system with 4.0.0.3 installed. Comment 4 attached document https://bugs.freedesktop.org/attachment.cgi?id=75256 error'd as reported.

Installed 4.0.2.1 and with sample document have proper handling of text deletions with commenting present. 

Need to hear from OP of bug 61033 with details on if problem documents had commenting present with that issue
Comment 17 Commit Notification 2013-03-20 10:40:22 UTC
Miklos Vajna committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=19802872052aaed9d3deff02b882b2043239a406

fdo#60769 implement odf export of multi-paragraph comment ranges



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 18 Miklos Vajna 2013-03-20 14:11:51 UTC
-4-0 review: https://gerrit.libreoffice.org/2873
Comment 19 Commit Notification 2013-03-20 15:12:14 UTC
Miklos Vajna committed a patch related to this issue.
It has been pushed to "libreoffice-4-0":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=473cd59a71706ada01f8be68c7dfd008ca9bb716&h=libreoffice-4-0

fdo#60769 implement odf export of multi-paragraph comment ranges


It will be available in LibreOffice 4.0.3.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 20 Commit Notification 2013-03-22 16:39:19 UTC
Miklos Vajna committed a patch related to this issue.
It has been pushed to "libreoffice-4-0-2":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=7aa93e2c7c17e11f612bd4313e7c819aa49a9f26&h=libreoffice-4-0-2

fdo#60769 implement odf export of multi-paragraph comment ranges


It will be available already in LibreOffice 4.0.2.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 21 Marcool 2013-03-24 22:55:33 UTC
I am not sure if this may somehow related, and you might want to check and see if the patch fixes the issue, but I have been noticing erratic behavior with comments showing up or disappearing from the navigation (F5) menu. I have a feeling (but have not checked), that this has something to do with paragraph breaks, and spaning comments. Nevertheless, of my hundred + comments, some show in navigator, some don't. Sorry this is poorly checked out or even specific, if I have some time I'll look into it more, but thought I'd better make a note here for you guys. Thanks for all the hard work,
Regards,
Mark.
Comment 22 V Stuart Foote 2013-04-07 23:45:12 UTC
*** Bug 61033 has been marked as a duplicate of this bug. ***
Comment 23 Marcus Hudritsch 2013-11-27 08:16:37 UTC
I got the same error on LO 4.1.3.2 on OSX 10.9.
Win7 with the same LO can save the document.
It has about 260 pages with lots of images and embedded objects.
Has anyone a workaround. I don't want to go back to LO 3.6.
Thanks
Marcus
Comment 24 Miklos Vajna 2013-11-27 13:35:45 UTC
Hi Marcus,

Sorry, marking the bug as resolved once again. I just re-checked and in the original scenario (multi-pragraph commented text ranges) we are fine.

Please take your 260 pages document, cut it down to a smaller document that still reproduces the problem, but trivial enough that you can make it public, create a new bugreport and attach the document there. Feel free to add me to CC of that bug, I'll try to have a look.

Thanks,

Miklos
Comment 25 Marcus Hudritsch 2013-11-28 14:18:58 UTC
Hi Miklos,
here is a link to my 40MB file.
It is my computergraphics script that I teach:
https://www.dropbox.com/s/v4zf2g4aexp1oc9/CanNotWriteBugOSX_LO4.1.3.2.odt
I reproduce the bug 10 times.
I have no addons installed.
I use the latest OSX 10.9.

Sorry for the size but I can not cut it down because I CAN NOT ANYMORE SAFE AT ALL!
This is not critical. This is an absolut show stopper or blocker.
I had to install LO 3.6.5 where it works perfectly.
It also works on 4.1.3 under Windows. I left MS 5 years ago and won't go back anymore.

Thanks for any help.
Marcus
Comment 26 Jorendc 2013-11-28 15:59:00 UTC
Hi Marcus,


(In reply to comment #25)
> Sorry for the size but I can not cut it down because I CAN NOT ANYMORE SAFE
> AT ALL!
True, except you do unzip the .odt file and do it manually. /me isn't able to do that without destroying it completely.
> This is not critical. This is an absolut show stopper or blocker.
> I had to install LO 3.6.5 where it works perfectly.
> It also works on 4.1.3 under Windows. I left MS 5 years ago and won't go
> back anymore.
Well, all good, but as Miklos Mentioned: create a new bug report for it and don't alter fields of this bug. Your bug has except for the same error text _nothing_ to do with this bug (code-wise).

Therefore I did create a bug report for your problem myself: Bug 72129.

Kind regards,
Joren
Comment 27 Paul 2017-09-07 20:24:36 UTC
I'm on 5.4.1.2 on Linux, and just started having this problem. No Comments in a short document. Nothing out of the ordinary. I never saw this error before. Can't Save at all.
Comment 28 Luke Kendall 2017-10-07 02:57:13 UTC
Created attachment 136819 [details]
Example .odt file

The document which I can no longer Save with LO.
Comment 29 Luke Kendall 2017-10-07 02:58:49 UTC
I see that this comment was lost when I wrote it and then added an attachment.  So here it is, restored after going Back in the browser a couple of times:

I upgraded to 5.4.1.2 yesterday also, and have started having this problem with one file.
I opened the file, added these lines at the very end of the document:

On consignment:
http://adamdreece.com/2017/02/07/understanding-consignment-bookstores/ and
http://writersweekly.com/angela-desk/how-to-sell-to-books-on-consignment-to-bookstores-and-other-retailers

and tried to Save.  I got the reported error:

 saving the document AToeInTheOceanOfBooks:
Write Error.
Error in writing sub-document content.xml.

In another document, it's saving okay.

I tried Undoing all the changes and saving a copy as "AToeInTheOceanOfBooks-bkp": that also failed, but with this error:

 saving the document AToeInTheOceanOfBooks:
General Error.
General input/output error.
Comment 30 Aron Budea 2017-10-07 05:22:39 UTC
This is a generic error message, which means an unhandled exception occurred at some point during the save process. If it started occurring with a new version, it's very likely unrelated to an old, fixed issue.

Luke, I could reproduce your issue with the provided sample using LO 5.4.1.2, but not with 5.4.2.2 (released just yesterday). Please try with the latest version. If the bug still occurs for you, open a new bug report (feel free to CC me on it).
Comment 31 Luke Kendall 2017-10-07 06:07:05 UTC
Confirmed. I downloaded and installed 5.4.2.2, opened the same file and made the same edit, and with the new version the file saved correctly.

So, the problem looks to have been fixed.

Many thanks!
Comment 32 Michael Tabak 2018-04-27 23:15:28 UTC
I don't think this is fixed. Just ran into this problem trying to save a file on my Mac. File size is 58354305 bytes. When I opened it today, LibreOffice went into a loop continually saving backup and when I tried to save and exit the file, I got this error. I can't recover the document either, recovery always fails.
Comment 33 Marcus Hudritsch 2018-04-28 14:44:54 UTC
This is indeed still an unsolved error.
With the following file you can reproduce the error 100% on LO 5.3.0.3 on Mac OSX High Sierra:
https://www.dropbox.com/s/5c3ajn3ysaiva9y/CPVR-ImageProcessing-Script.odt?dl=0
Comment 34 Dennis Roczek 2018-04-28 16:01:28 UTC
Hi Marcus,

please read comment 30 and comment 31. Please upgrade your not longer supported LibreOffice version. For the case you still be able to reproduce, please open a new bug.

Thanks
Comment 35 Cor Nouws 2018-11-21 14:52:06 UTC
most probably a duplicate of https://bugs.documentfoundation.org/show_bug.cgi?id=86963 that indeed is _fixed_ with a commit

*** This bug has been marked as a duplicate of bug 86963 ***